Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class UploadDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.UploadDefinition

All Implemented Interfaces:
  org.apache.cocoon.util.location.Locatable, WidgetDefinition

public class UploadDefinition
extends AbstractWidgetDefinition

The definition of an upload widget.

Version:
  $Id: UploadDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`UploadDefinition()`
`UploadDefinition(boolean required, String mimeTypes)`

Method Summary
`void` | `addMimeTypes(String types)`
`void` | `addValueChangedListener(ValueChangedListener listener)`
`Widget` | `createInstance()` Creates and returns a widget based on this widget definition.
`String` | `getMimeTypes()`
`ValueChangedListener` | `getValueChangedListener()`
`boolean` | `hasValueChangedListeners()`
`void` | `initializeFrom(WidgetDefinition definition)` initialize this definition with the other, sort of like a copy constructor
`boolean` | `isRequired()`
`void` | `setRequired(boolean required)`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkCompleteness, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UploadDefinition

    public UploadDefinition()

### UploadDefinition

    public UploadDefinition(boolean required,
                            String mimeTypes)

Method Detail

### initializeFrom

    public void initializeFrom(WidgetDefinition definition)
                        throws Exception

  initialize this definition with the other, sort of like a copy constructor

  Specified by:
    `initializeFrom` in interface `WidgetDefinition`
  Overrides:
    `initializeFrom` in class `AbstractWidgetDefinition`
  Throws:
    `Exception`

### addMimeTypes

    public void addMimeTypes(String types)

### setRequired

    public void setRequired(boolean required)

### createInstance

    public Widget createInstance()

  Description copied from interface: `WidgetDefinition`
  Creates and returns a widget based on this widget definition.

### isRequired

    public boolean isRequired()

### getMimeTypes

    public String getMimeTypes()

### addValueChangedListener

    public void addValueChangedListener(ValueChangedListener listener)

### getValueChangedListener

    public ValueChangedListener getValueChangedListener()

### hasValueChangedListeners

    public boolean hasValueChangedListeners()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.